package com.bonus.canteen.core.menu.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("菜品标签分页返回")
public class MenuMaterialDishesPageVO {
   @ApiModelProperty("食材id")
   private Long materialId;
   @ApiModelProperty("食材名称")
   private String materialName;
   @ApiModelProperty("食材重量(g)")
   private Double weight;
   @ApiModelProperty("材料类型(1主料,2辅料)")
   private Integer materialType;

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public Double getWeight() {
      return this.weight;
   }

   public Integer getMaterialType() {
      return this.materialType;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setWeight(final Double weight) {
      this.weight = weight;
   }

   public void setMaterialType(final Integer materialType) {
      this.materialType = materialType;
   }
}
